Subject: [drinks] Following up on discussions in Paris

From: David Schwartz <[email-masked]>
Date: Wed, 4 Apr 2012 13:41:46 +0300

Since no consensus was reached at the meetings due in part to many remote participants having severe communication issues I would like to float my suggestions on the list in an attempt to reach consensus.

The issues that were raised included:
* comments about the name "route" (e.g. RteGrp and RteRec) not being accurate as LUF involves finding a target and not a location and as such the current model is inaccurate
* proposal to use the more standard term "SED" and rename RteGrp -> SedGrp, RteGrpOffer -? SedGrpOffer, etc.
* Comments about a missing abstraction layer clearly disambiguating the LUF and LRF resolution types

I am attaching an image highlighting my proposed changes. Specifically, I have made the following changes.

1. Changed "Rte" to "Sed"
2. Added abstraction layer CLEARLY separating location from target as per RFC 5486
3. Added additional RN type (for discussion - hence the dotted line) to disambiguate location type RN responses and target type responses. For example, assume the following portability URI sip:12121234567;rn=17185550000;[email-masked];user=phone, a "location" type RN record (i.e. "NAPTR") would be used to have the domain portion of the URI specify the location of either the recipient or transit provider, and a "target" type RN record (i.e. "RN") would be used to indicate the need to ignore the domain portion (e.g. in case where it specifies the donor provider).

:D